Project

General

Profile

Tâche #27377

Scénario #27353: Permettre d'utiliser une configuration générée avec Sphynx 2.5 ou 2.6 sur Amon 2.7

Vérifier la compatibilité Sphynx 2.7 vers Amon 2.5 et 2.6 surtout en ce qui concerne les xfrm policies

Added by Fabrice Barconnière over 1 year ago. Updated 11 months ago.

Status:
Fermé
Priority:
Normal
Start date:
03/21/2019
Due date:
% Done:

100%

Estimated time:
6.00 h
Spent time:
Remaining (hours):
0.0

History

#1 Updated by Fabrice Barconnière over 1 year ago

  • Status changed from Nouveau to En cours

#2 Updated by Fabrice Barconnière over 1 year ago

  • Assigned To set to Fabrice Barconnière

#3 Updated by Fabrice Barconnière over 1 year ago

  • % Done changed from 0 to 100
  • Remaining (hours) changed from 6.0 to 0.1

ANALYSE

La compatibilité Sphynx 2.7 vers Amon 2.5 et 2.6 a été testée lors des campagnes de qualification.
Concernant, la configuration ipsec.conf générée par un Sphynx 2.7, celle-ci contient la ligne include /etc/ipsec.d/conf/*.
Avant Amon 2.7, active_rvp ne gérait pas ce répertoire et il n'existe donc pas sur les Amon 2.5 et 2.6.
Cela ne gène en aucun cas strongSwan et les xfrm policies sur ces versions sont toujours gérées dans le script templatisé /etc/ipsec.d/ip_xfrm_policy.

CONCLUSION

Pas de problème de compatibilité Sphynx 2.7 vers Amon 2.5 et 2.6.

#4 Updated by Scrum Master over 1 year ago

  • Status changed from En cours to Résolu

#5 Updated by Fabrice Barconnière about 1 year ago

  • Status changed from Résolu to Fermé
  • Remaining (hours) changed from 0.1 to 0.0

#6 Updated by Olivier FEBWIN 11 months ago

Problème lorsque Sphynx 2.7 génére des configurations IPSec d'Amon 2.5
voir https://dev-eole.ac-dijon.fr/issues/28752

Also available in: Atom PDF